<?php

namespace App\Database\Migrations;

use App\Models\Configuracion\ConfigVariableModel;
use App\Models\OrdenTrabajo\OrdenTrabajoTarea;
use CodeIgniter\Database\Migration;

class AddColumnIsCorteOrdenTrabajoTarea extends Migration
{
    public function up()
    {
        $fields = [
            'is_corte' => [
                'type'       => 'TINYINT',
                'constraint' => 1,
                'null'       => false,
                'default'    => 0,
            ],
            'tipo_corte' => [
                'type'       => 'ENUM',
                'constraint' => ['bobina','guillotina'],
                'default'    => 'bobina',
            ],
        ];
        $this->forge->addColumn('orden_trabajo_tareas', $fields);
        $m = model(OrdenTrabajoTarea::class);
        $m->where('nombre','Corte')->set(['is_corte' => true,'tipo_corte' => 'bobina'])->update();
        $cvm = model(ConfigVariableModel::class);
        $cvm->insert([
            "name" => "id_maquina_bobina_corte_ot_tarea",
            "value" => 61,
            "description" => "Id de máquina por defecto para corte en bobina rotativa. (Asignación máquina orden trabajo tarea)"
        ]); 
        $cvm->insert([
            "name" => "id_maquina_guillotina_corte_ot_tarea",
            "value" => 31,
            "description" => "Id de máquina por defecto para corte guillotina rotativa. (Asignación máquina orden trabajo tarea)"
        ]); 
    }

    public function down()
    {
        $this->forge->dropColumn('orden_trabajo_tareas', 'is_corte');
        $this->forge->dropColumn('orden_trabajo_tareas', 'tipo_corte');
        $cvm = model(ConfigVariableModel::class);
        $cvm->whereIn('name',["id_maquina_bobina_corte_ot_tarea","id_maquina_guillotina_corte_ot_tarea"])->delete(purge:true);


    }
}
